one_context 0.5.0
one_context: ^0.5.0 copied to clipboard

Flutter Android iOS web

OneContext provides a simple way to deal with Dialogs, Overlays, Navigations, Theme* and MediaQuery* with no need of BuildContext.

[0.5.0] - Dec 22, 2020 ( Flutter 1.22.5 • channel stable ) #

  • Fix Scaffold logic
  • Breaking changes on OneContext().showSnackBar (now it returns a Future)
  • Breaking changes on OneContext().showBottomSheet (now it returns a Future)
  • Now it is possible to show dialogs inside StatefulWidget > State > initState method or inside StatelessWidget constructor method (experimental yet, dark mode issues)
  • Production mode will not crash when there is no context loaded in OneContext()
  • General improvements

[0.4.0] - May 29, 2020 #

  • Breaking changes on OneHotReload (check README to upgrade)
  • OneHotReload becomes OneNotification, providing a top most generic feature.

[0.3.0] - May 25, 2020 #

  • Add OneHotReload to reload widget tree (useful for theme, locale, etc...)
  • Add dark and light theme mode changer (Auto save)
  • Add themeData and darkThemeData changer
  • Add reload, restart and reboot app
  • Add boot another app with setUp feature

[0.2.3] - May 6, 2020 #

  • fix generics

[0.2.2] - May 6, 2020 #

  • Linter fixes

[0.2.1] - May 5, 2020 #

  • Add MediaQuery
  • Add Theme
  • Add TextTheme

[0.1.1] - Update description #

[0.1.0] - Initial release #

  • add showDialog
  • add showModalBottomSheet
  • add showBottomSheet
  • add showSnackBar
  • add dismissSnackBar
  • add showOverlay
  • add addOverlay
  • add showProgressIndicator
  • add all Flutter Navigator methods (push, pushNamed, ...) - Flutter 1.12.13+hotfix.9 • channel stable • Dart 2.7.2
47
likes
100
pub points
85%
popularity

OneContext provides a simple way to deal with Dialogs, Overlays, Navigations, Theme* and MediaQuery* with no need of BuildContext.

Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

fastencoding@gmail.com

License

BSD (LICENSE)

Dependencies

flutter, shared_preferences

More

Packages that depend on one_context